Gusty upgrade: update-manager -d fails (Gutsy beta), downloads pkgs, skips over installing them and asks to reboot

Bug #145740 reported by Michael Milligan on 2007-09-27
2
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

I blindly rebooted the first time (as the notice was posted over the "checklist") and got back a 7.04 Feisty system... it did download all the packages, it just didn't install them.

Will attach /var/log/dist-upgrade output... nothing obvious in there.

"# apt-get dist-upgrade" is working (as I type this) and installing all the packages...

Michael Milligan (milli) wrote :

contents of /var/log/dist-upgrade

FYI, this is an AMD64 box.

Michael Milligan (milli) wrote :

Update... dist-upgrade from command line had a conflict... so this may be a non-issue for Gutsy.

# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  gnome-themes-extras
The following packages will be upgraded:
  nspluginwrapper
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1400 not fully installed or removed.
Need to get 0B/104kB of archives.
After unpacking 164kB of additional disk space will be used.
Do you want to continue [Y/n]?
Reading changelogs... Done
(Reading database ... 163872 files and directories currently installed.)
Preparing to replace nspluginwrapper 0.9.91.2-2 (using .../nspluginwrapper_0.9.91.4-3ubuntu2_amd64.deb) ...
Unpacking replacement nspluginwrapper ...
dpkg: error processing /var/cache/apt/archives/nspluginwrapper_0.9.91.4-3ubuntu2_amd64.deb (--unpack):
 trying to overwrite `/usr/lib/nspluginwrapper/i386/linux/npviewer.bin', which is also in package nspluginwrapper-i386
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/nspluginwrapper_0.9.91.4-3ubuntu2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

[524] geist (root:root) /var/log
# dpkg --purge nspluginwrapper-i386
(Reading database ... 163870 files and directories currently installed.)
Removing nspluginwrapper-i386 ...

[525] geist (root:root) /var/log
# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  gnome-themes-extras
The following packages will be upgraded:
  nspluginwrapper
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1400 not fully installed or removed.
Need to get 0B/104kB of archives.
After unpacking 164kB of additional disk space will be used.
Do you want to continue [Y/n]?
Reading changelogs... Done
(Reading database ... 163864 files and directories currently installed.)
Preparing to replace nspluginwrapper 0.9.91.2-2 (using .../nspluginwrapper_0.9.91.4-3ubuntu2_amd64.deb) ...
Unpacking replacement nspluginwrapper ...
dpkg: warning - unable to delete old directory `/usr/lib64/mozilla/plugins': Directory not empty
dpkg: warning - unable to delete old directory `/usr/lib64/mozilla': Directory not empty
Setting up dash (0.5.4-1ubuntu2) ...
...

Michael Milligan (milli) wrote :

This bug can be closed.

Pedro Villavicencio (pedro) wrote :

ok, thanks.

Changed in update-manager:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers